﻿@model BeerOverflow.Web.Models.UserViewModel

@{
    ViewData["Title"] = "User Details";
}

<h1>Details</h1>

<h4>@Model.Name</h4>
<hr />

<div>
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.ID)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.ID)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Role)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Role)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Age)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Age)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Email)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Email)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Username)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Username)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.IsBanned)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.IsBanned)
        </dd>
    </dl>
</div>
<div>
    @Html.ActionLink("Edit | ", "Edit", new { id = Model.ID })
    @if (Model.IsBanned)
    {
        @Html.ActionLink("Unban | ", "Unban", new { id = Model.ID })
    }
    else
    {
        @Html.ActionLink("Ban | ", "Ban", new { id = Model.ID })
    }
    @Html.ActionLink("Delete | ", "Delete", new { id = Model.ID })
    <a asp-action="Index">Back to List</a>
</div>
